# SoVRMLColor Class Reference
[VRML97 classes]

`#include <Inventor/VRMLnodes/SoVRMLColor.h>`

Inheritance diagram for SoVRMLColor:

List of all members.

## Detailed Description

The SoVRMLColor class is used to specify multiple colors for a single shape.

The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

      Color {
        exposedField MFColor color  []         # [0,1]
      }

This node defines a set of RGB colours to be used in the fields of another node.

Color nodes are only used to specify multiple colours for a single geometric shape, such as colours for the faces or vertices of an IndexedFaceSet. A Material node is used to specify the overall material parameters of lit geometry. If both a Material node and a Color node are specified for a geometric shape, the colours shall replace the diffuse component of the material. RGB or RGBA textures take precedence over colours; specifying both an RGB or RGBA texture and a Color node for geometric shape will result in the Color node being ignored. Details on lighting equations can be found in 4.14, Lighting model (<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.14>).

## Public Member Functions

| SoVRMLColor (void)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | callback (SoCallbackAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoMFColor | color

## Protected Member Functions

virtual | ~SoVRMLColor ()

## Constructor & Destructor Documentation

SoVRMLColor::SoVRMLColor | ( | void |  | ) |

| Constructor.

SoVRMLColor::~SoVRMLColor | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLColor::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoVRMLColor::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoVRMLColor::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoVRMLColor::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

## Member Data Documentation

SoMFColor SoVRMLColor::color

| The color field. Empty by default.

The documentation for this class was generated from the following files:

- SoVRMLColor.h
- Color.cpp